﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HelloWorld {

    public partial class MainForm : Form {
    
        public MainForm() {
            InitializeComponent();
            this.Font = SystemFonts.MessageBoxFont;


            bitList.Items.Add(string.Format("Hello {0}-bit world.", IntPtr.Size * 8));
            
            bitList.Items.Add("");
            
            bitList.Items.Add(string.Format("Byte is {0} bits.", sizeof(byte) * 8));
            bitList.Items.Add(string.Format("Short is {0} bits.", sizeof(short) * 8));
            bitList.Items.Add(string.Format("Integer is {0} bits.", sizeof(int) * 8));
            bitList.Items.Add(string.Format("Long is {0} bits.", sizeof(long) * 8));
            
            bitList.Items.Add("");
            
            bitList.Items.Add(string.Format("Single is {0} bits.", sizeof(float) * 8));
            bitList.Items.Add(string.Format("Double is {0} bits.", sizeof(double) * 8));

            bitList.Items.Add("");

            {
                DateTime start = DateTime.Now;
                for (int i = 0; i < 10000000; ++i) {
                    int j = i - i;
                    j += 1;
                }
                bitList.Items.Add(string.Format("Integer loops in {0:0} milliseconds", (DateTime.Now - start).TotalMilliseconds));
            }

            {
                DateTime start = DateTime.Now;
                for (long i = 0; i < 10000000; ++i) {
                    long j = i - i;
                    j += 1;
                }
                bitList.Items.Add(string.Format("Long loops in {0:0} milliseconds", (DateTime.Now - start).TotalMilliseconds));
            }

        }

    }

}
